Upgrade a package policy

Base URL
https://{kibana_url}
  • POST /api/fleet/package_policies/upgrade
  • POST /s/{space_id}/api/fleet/package_policies/upgrade
Auth

Upgrade a package policy to a newer package version.

Required authorization

Privileges fleet-agent-policies-all and integrations-all

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

acknowledge_breaking_changes boolean · default: false

When true, acknowledge the breaking changes listed in the package changelog for the versions being upgraded. Without it, an upgrade whose version range includes breaking changes is rejected. The force flag does not bypass this check.

packagePolicyIds string[] · max items: 1000 required

Responses

Successful response

application/json
<array> object[] · max items: 10000
body object
message string required
id string required
name string
statusCode number
success boolean required

Bad Request

application/json
attributes object required
error string
errorType string
message string required
statusCode number
Base URL
https://{kibana_url}